[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# exp

Exponentiate

## Declaration

Source position: mathh.inc line 77

`function exp(`
`d: ValReal`
`):ValReal;`

## Description

Exp returns the exponent of X, i.e. the number e to the power X.

## Errors

None.

## See also

Ln |  | Calculate logarithm
Power |  | Raise float to integer power

## Example

    Program Example22;

    { Program to demonstrate the Exp function. }

    begin
      Writeln (Exp(1):8:2); { Should print 2.72 }
    end.

Documentation generated on: Feb 26 2014